@echo off

rem * copyright-start
rem ***********************************************************************************
rem *
rem *  Licensed Material - Property of IBM
rem *  5724-V27
rem *  Copyright IBM Corp. 2016
rem *
rem *  The source code for this program is not published or otherwise
rem *  divested of its trade secrets, irrespective of what has been
rem *  deposited with the U.S. Copyright Office.
rem *
rem *********************************************************************************
rem * copyright-end
rem *
rem * Description:
rem *   Batch command file for querying the syscat.packages catalog view for Rational 
rem *   Asset Analyzer packages
rem *
rem * Syntax format:  
rem *   dmhGetPackages
rem *
rem * NOTE: This command must be copied to and run from the
rem *       <installationDir>\bin directory.
rem *
rem *********************************************************************************

rem Get the directory where this command resides.
set WD=%~dp0
cd /d "%WD%"
set WD=%CD%\
call "%WD%SetupEnv.bat"

db2 connect reset 2>&1 >nul

echo Connecting to RAA database...
echo.
db2 CONNECT TO %database_Name%
db2 SET CURRENT SCHEMA %database_Schema%

echo.
echo Querying SYSCAT.PACKAGES catalog view for RAA packages...
echo.

db2 SELECT SUBSTR(PKGNAME, 1, 10) AS PKG_NAME, SUBSTR(OWNER, 1, 10) AS OWNED_BY, SUBSTR(BOUNDBY, 1, 10) AS BOUND_BY, LAST_BIND_TIME FROM SYSCAT.PACKAGES WHERE PKGSCHEMA = CURRENT SCHEMA AND PKGNAME LIKE 'DMHD%' ORDER BY PKGNAME

echo.
echo Disconnecting from RAA database...
echo.
db2 CONNECT RESET
